Package org.silverpeas.mobile.client.apps.comments.pages

## Class CommentsPage

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.silverpeas.mobile.client.components.base.PageContent
        - - org.silverpeas.mobile.client.apps.comments.pages.CommentsPage

- All Implemented Interfaces:
    `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.EventHandler`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.Event.NativePreviewHandler`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.IsRenderable`, `com.google.gwt.user.client.ui.IsWidget`, `CommentsPagesEventHandler`, `View`, `PageEventHandler`

      public class CommentsPage
      extends PageContent
      implements View, CommentsPagesEventHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected CommentsMessages` | `msg` |

    - ### Fields inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `clicked, pageTitle`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommentsPage()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onAddedComment​(CommentAddedEvent event)` |
    `void` | `onDeletedComment​(CommentDeletedEvent event)` |
    `void` | `onLoadedComments​(CommentsLoadedEvent event)` |
    `void` | `onUpdatedComment​(CommentUpdatedEvent event)` |
    `void` | `setContentInfos​(String contentId, ApplicationInstanceDTO applicationInstance, String contentType)` |
    `void` | `setSelectionMode​(boolean selectionMode)` |
    `void` | `setTitle​(String title)` |
    `void` | `stop()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `addActionMenu, addActionShortcut, back, changeSelectionNumber, clearActions, clickGesture, finishLoadingData, getApp, getPageTitle, hide, isSelectionMode, isVisible, loadedDataEvent, loadedMoreDataEvent, onPreviewNativeEvent, receiveEvent, removeActionMenu, removeActionShortcut, setApp, setPageTitle, setViewport, setVisible, show`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### msg

          protected CommentsMessages msg

  - ### Constructor Detail

    - #### CommentsPage

          public CommentsPage()

  - ### Method Detail

    - #### setContentInfos

          public void setContentInfos​(String contentId,
                                      ApplicationInstanceDTO applicationInstance,
                                      String contentType)

    - #### setTitle

          public void setTitle​(String title)

      Overrides:
        `setTitle` in class `com.google.gwt.user.client.ui.UIObject`

    - #### onLoadedComments

          public void onLoadedComments​(CommentsLoadedEvent event)

      Specified by:
        `onLoadedComments` in interface `CommentsPagesEventHandler`

    - #### onAddedComment

          public void onAddedComment​(CommentAddedEvent event)

      Specified by:
        `onAddedComment` in interface `CommentsPagesEventHandler`

    - #### onDeletedComment

          public void onDeletedComment​(CommentDeletedEvent event)

      Specified by:
        `onDeletedComment` in interface `CommentsPagesEventHandler`

    - #### onUpdatedComment

          public void onUpdatedComment​(CommentUpdatedEvent event)

      Specified by:
        `onUpdatedComment` in interface `CommentsPagesEventHandler`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `View`
      Overrides:
        `stop` in class `PageContent`

    - #### setSelectionMode

          public void setSelectionMode​(boolean selectionMode)

      Overrides:
        `setSelectionMode` in class `PageContent`